Bug 832322 - xfs unmount does not release USB device
xfs unmount does not release USB device
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 03:16 EDT by Florian Stinglmayr
Modified: 2012-11-13 10:38 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-13 10:38:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Stinglmayr 2012-06-15 03:16:05 EDT
I am regularly using an external USB compact flash card reader with CF cards that have XFS file systems. I plug in a compact flash card, create an xfs file system on it (using mkfs.xfs) and then mount it or mount an existing XFS file system. After my work's finished I umount the device and remove the CF card. Yet the xfs kernel module still thinks the device belongs it somehow and tries to flush xfs logs.

The device is now permanently locked by the xfs kernel module, increasing the usage number (as seen in lsmod) of the xfs module. If you plug in the same card again, xfs then complains that it is unable to mount it, as a filesystem with the UUID already exists. Also the kernel keeps giving out new device nodes (After about two hours work I am now at /dev/sdae), since the xfs module keeps locking up the previous ones.

uname -ar says:

Linux <xxx> 3.3.8-1.fc16.x86_64 #1 SMP Mon Jun 4 20:49:02 UTC 2012 x86_64 GNU/Linux 

What dmesg said when the error occured with /dev/sdc1:

[53847.655702] XFS (sdc1): Mounting Filesystem
[53847.856294] XFS (sdc1): Ending clean mount
[53859.899928] XFS (sdb1): xfs_log_force: error 5 returned.
[...]
[54190.592430] XFS (sdb1): xfs_log_force: error 5 returned.
[54209.269918] XFS (sdc1): metadata I/O error: block 0x344428 ("xlog_iodone") error 5 buf count 3072
[54209.269928] XFS (sdc1): xfs_do_force_shutdown(0x2) called from line 975 of file fs/xfs/xfs_log.c.  Return address = 0xffffffffa0791191
[54209.269951] XFS (sdc1): Log I/O Error Detected.  Shutting down filesystem
[54209.269955] XFS (sdc1): Please umount the filesystem and rectify the problem(s)

lsmod | grep xfs
xfs                   801522  29
Comment 1 Florian Stinglmayr 2012-06-15 03:21:42 EDT
Forgot to add the following information:

1. I have always cleanly unmounted all compact flash cards.
2. This does not happen with CF cards formatted with ext3 or ext4 (have not yet tested other file systems).
3. The card reader is not broken (at least it does not appear to be), as cards with other file systems work perfectly.
4. It does not matter which USB port I use on my laptop.
Comment 2 Josh Boyer 2012-09-18 11:28:23 EDT
Do you see this with the 3.4 or 3.5 kernel updates?
Comment 3 Dave Jones 2012-10-23 11:28:35 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 4 Justin M. Forbes 2012-11-13 10:38:16 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.